Wp2LaTeX(1)

NAME
wp2latex - Converter from MAC WP1.x, WP2,3,4.x, PC WP4.x, WP5.x, WP6.x .. 11.x to LaTeX

SYNOPSIS
wp2latex [input_file [output_file]] [switches]

DESCRIPTION
wp2latex It is program for conversion WordPerfect MAC WP1.x, MAC WP2,3,4.x, PC WP4.x, WP5.x and WP6.x .. 11.x documents to the LaTeX typesetting system. It is possible to convert a lot of features in the current version for example: Headers, Tables, Equations, Centered+Right+Left text, a lot of extended characters (greek, math, cyrilic, accented) and of course a normal text.

  Options

-accents
    Use accents to support additional accents.

-amssymb
    Use additional package AMSsymb with special characters.

-arabtex
    Use arabtex.sty to support arrabic glyphs.

-AmsMath
    Use AmsMath with special characters.

-Arevmath
    Use arevmath with special characters.

-bbm
    Use additional package bbm with special characters.

-copyright
    Displays copyright information related to wp2latex package.

-Cyrillic
    Use cyrillic.sty to support cyrillic script.

-? or --help
    Write a short help on the screen.

-charset1
    switch internal WordPerfect char set to set 1. This option is default.

-charsetCZ
    Switch internal WordPerfect char set to keybcs.

-cjHebrew
    Allow Hebrew font translation.

-cp-xxx
    switch output code table (LaTeX code page) to xxx. There are currently supported these code pages: 852 (ISO8); 895 (Kamenicky); 1250 (Microsoft Windows); ISO8859-2; 866; 1251; KOI8R; UTF8

-cp-styles
    This feature causes writing special styles for given codepages.

-CurrentFontSet
    Change codepage for a current font. "Magical" WP's codepage 12.

-extract-images
    Extract images into separate files.

-fancyhdr
    Use package fancyhdr.sty for headers and footers.

-fig-output-dir
    Use this directory for storing images. Prefer relative path. The relative path is related to output .tex file. Default value='.'.

-fix-spaces
    Try to fix more spaces by ~. This might by userfull when spacess fills some space (e.g. in the table).

-FontEnc-T1
    Use package fontenc.sty [T1] with additional characters.

-force-xxx
    WP2LaTeX has sophisticaded way how to autodetect file format of given document. Some file formats like WP4.x could not be fully detected. Turning this parameter on switch to the selected conversion module in the case when autodetection do not find any appropriate file format. xxx stands for conversion module shortcut. These are WP3.x, WP4.x, WP5.x, WP6.x and even several non WP like abiword, Accent, MTEFF, OLE Stream, HTML, RTF, T602, UNICODE and WORD. Type Wp2LaTeX -v to obtain list of them. (e.g. If you have WP4.x documents it is a good idea to use -force-WP4.x switch.)

-FORCE-xxx
    This argument turns off any autodetection and enforces using of a given conversion module. Use it only if you are sure about it and expect troubles, because your file might be corrupted.

-fontenc-T1
    Use package fontenc.sty [T1] with additional characters. Available for LaTeX 2.0e.

-graphics
    Use style graphics.sty for Postscript images.
     This setting turns off any other setting for postscript images
     (e.g. -input-PS).

-graphicx
    Use style graphicx.sty for Postscript images.
     This setting turns off any other setting for postscript images
     (e.g. -input-PS).

-charset1
    Switch internal WordPerfect char set to set 1.

-charsetCZ
    Switch internal WordPerfect char set to keybcs.

-i  Force input filename. The next argument is supposed as input file name.

-ignore-tabs
    Remove all [TAB] symbols from WP document. [TAB] characters are usually garbage and user may not want to convert them.

-input-PS
    Use Postscript features in the LaTeX (mainly images).

-l  Force log filename. The next argument is supposed as file name of the log file.

-L LANGUAGE
    Switch message translations to language LANGUAGE. It means that WP2LaTeX can communicate with you with your native language. WP2LaTeX must be compiled with gettext library for accessing this switch.

-LaTeX2
    Optimize optput for LaTex 2.09 (default).

-LaTeX3
    Optimize optput for LaTex 2.e or LaTeX 3.0

-latexsym
    Use latexsym with special characters.

-LineNo
    Use package LineNo for line numbering.

-LongTable
    Use longtable for better tables.

-MakeIdx
    Use makeidx for placing index.

-memstream
    Do not create temporary files and store their data in memory. Usually it speed up processing. (Works only if compiled with GCC >= 3.0)

-mxedruli
    Use mxedruli for Georgia characters.

-no-cjHebrew
    Disable Hebrew font translation.

-no-columns
    Do not translate multicolumn text to more columns. The information about newspaper columns will be lost.

-noclobber
    Prevent overwriting existing files.

-no-erase-strip
    Do not erase temporary files of wp2latex. You could extract nearly plain text from those files. Even when this text cannot be directly used with LaTeX it could be still useful for some tasks.

-no-extract-images
    Turn all extracting images off.

-no-input-PS
    Disable using anything from Postscript in the LaTeX.

-no-lang-XXX
    Disable loading LaTeX localisation for a given language. e.g. -no-lang-USenglish disables switching this locale.

-nooptimizesection
    Turn a code, which optimizes and dectect section, off. Expect more Tex errors if you do this.

-no-safemode
    Disable checking features - faster conversion. But if your document is corrupted the conversion results will be wrong.

-no-shrink-images
    Turn off oversized image shrink.

-notexchars
    All chars 32-128 will be converted to Tex sequencies (Default)

-no-ulem
    Disable using of the style ulem.sty.

-no-undoredo
    Expand all parts of text that might be marked as already deleted.

-no-wasy
    Disable additional package Wasy2 with special characters.

-o  Force output filename. The next argument is supposed as input file name.

-optimizesection
    Turn a code, which optimizes and dectect section, on (Default).

-rsfs
    Allow using additional package mathrsfs with special characters.

-s "password"
    Password for decoding WP5.x or WP4.x encrypted document. (WP4.x and WP5.x only)"

-PiFont
    Use additional package pifont.

-Rsfs
    Use mathrsfs with special characters.

-S or -silent
    Do not echo output messages. Only errors are written.

-scalerel
    Use additional package scalerel.

-SS or -ssilent
    Do not output any message. If all errors are suppressed the output file might not satisfy your expectation.

-safemode
    Check safely consistency of each object and try to fix all incorrect things. Good for corrupted WP files.

-shrink-images
    Attempt to shrink oversized vector images. EPS processed by LaTeX has fixed internal size limit.

-texchars
    Do not interpret tex macros (all chars 32-128 will not be converted to Tex sequences)

-tipa
    Use additional package tipa with special characters.

-ulem
    Use ulem.sty for better underlining. Some basic underlining features are included in wp2latex.sty, but without this option it is not possible to typeset underlined text longer than one line.

-undoredo
    Process all Undo/Redo commands and emit last revision of text.

-use-all
    Use all supported styles in WP2LaTex. Several styles are disabled in default. On the other side, there are exclusive group of styles e.g. Graphics ones.

-v  Display information about current version of wp2latex and output a list of currently available conversion modules (e.g. WP4.x, WP5.x).

-wasy
    Use additional package Wasy2 with special characters.

FILES
/usr/local/bin/wp2latex The main conversion program wp2latex.sty The style for future processing in the TeX system. Normally located in the directory: /usr/local/teTeX/share/texmf/tex/latex/wp2latex/ endnotes.sty The style for including endnotes into LaTeX documents. This style was downloaded from CTAN archive and is part of many LaTeX installations. /usr/share/locale/cs/LC_MESSAGES/ /usr/share/locale/ds/LC_MESSAGES/ Localisation file of wp2latex. This file contains translation of all messages into given language.

SEE ALSO
latex(1), tex(1) Visit www page http://ftsoft.wz.cz/wp2latex/wp2latex.htm

AUTHORS
This Program has been rewritten by the last author Jaroslav Fojtik, Email (try one of these): JaFojtik@seznam.cz, JaFojtik@yandex.com. There are some other ports of this code. But now I hope, that this release is best one.

BUGS
Tabbings are sometimes interpreted incorrectly. Captions of formulas is loosed. Many WP features remain unconverted. There remain many other LaTeX warnings during TeX processing.